%global srcname django3-auth-saml2

Name:           python-%{srcname}
Version:        0.2.0
Release:        1%{?dist}
Summary:        Django3 auth SAML2 integration
# https://github.com/jeremyschulman/django3-auth-saml2/issues/10
License:        ASL 2.0
URL:            https://github.com/jeremyschulman/django3-auth-saml2
Source0:        %{pypi_source}

BuildArch:      noarch

%global _description %{expand:
%{summary}.}

%description %{_description}

%package -n python3-%{srcname}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{srcname}}
BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)

%description -n python3-%{srcname} %{_description}

%prep
%autosetup -p1 -n %{srcname}-%{version}
# https://github.com/jeremyschulman/django3-auth-saml2/issues/9
echo '%{VERSION}' > VERSION
# https://github.com/jeremyschulman/django3-auth-saml2/commit/47f6290f6554167e404409d2308952fc63f98a2d
sed -i -e '/pysaml2/s/==/>=/' requirements.txt

%build
%py3_build

%install
%py3_install

%files -n  python3-%{srcname}
%doc README.md
%{python3_sitelib}/django3_auth_saml2/
%{python3_sitelib}/django3_auth_saml2-*.egg-info/

%changelog
* Fri Aug 20 2021 Igor Raits <ignatenkobrain@fedoraproject.org> - 0.2.0-1
- Initial package
